<?php
define('_IN_JOHNCMS', 1);

$headmod = 'kosti';
$textl = 'Кости';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

$rand = mt_rand(100, 999);
$balans_plus = "5";
$balans_minus = "3";

echo "<div class='phdr'>Кости</div>";

if ($user_id) {

    switch ($act) {

        case "go":

            if ($datauser['balans'] >= 5) {

                $num1 = mt_rand(2, 6);
                $num2 = mt_rand(1, 6);
                $num3 = mt_rand(1, 6);
                $num4 = mt_rand(1, 5);
                echo '<div class="gmenu">';

                echo 'У банкира  выпало: <br/>';
                echo '<img src="' . $num1 . '.gif" alt=""/>  и <img src="' . $num2 .
                    '.gif" alt=""/><br/><br/>';

                echo 'У вас выпало: <br/>';
                echo '<img src="' . $num3 . '.gif" alt=""/>  и <img src="' . $num4 .
                    '.gif" alt=""/><br/><br/>';


                $num_bank = $num1 + $num2;
                $num_user = $num3 + $num4;

                //------------------------------ Банкир выиграл ----------------------------//

                if ($num_bank > $num_user) {
                    //------------------------------ Запись в профиль ----------------------------//
                    mysql_query("update `users` set balans=balans-" . $balans_minus . " where id='" .
                        $user_id . "' LIMIT 1;");

                    echo '<b>Банкир выиграл!</b>';
                }

                //------------------------------ Вы выиграли ----------------------------//

                if ($num_bank < $num_user) {
                    //------------------------------ Запись в профиль ----------------------------//
                    mysql_query("update `users` set balans=balans+" . $balans_plus . " where id='" .
                        $user_id . "' LIMIT 1;");

                    echo '<h3><span class="green">Вы выиграли!</span></h3>';
                }

                if ($num_bank == $num_user) {
                    echo '<b>Ничья!</b>';
                }

                echo '<br />Ваш баланс: ' . $datauser['balans'];

                echo '</div><div class="menu">
				<b><a href="?act=go&amp;rand=' . $rand . '">Играть</a></b><br/>
					';

                echo '<a href="?">Вернуться</a><br />';
                /////////////////////////
                //задержка 1 сек
                //sleep(1);
                ///////////////////////
            } else {
                echo functions::display_error("Вы не можете играть, необходимо повысить баланс!");
                echo "<div class='menu'><a href='../?'>В раздел</a></div>";
                require_once ("../../incfiles/end.php");
                exit;
            }

            break;

        case "faq":
            echo '<div class="gmenu">Для участия в игре нажмите "Играть"<br/>';
            echo 'За каждый проигрыш у вас будут списывать по ' . $balans_minus . '<br/>';
            echo 'За каждый выигрыш вы получите ' . $balans_plus . '<br/>';
            echo 'Шанс банкира на выигрыш немного больше, чем у вас<br/>';
            echo 'Желаю удачи!</div>';

            echo '<div class="menu"><a href="?">Вернуться</a><br />';
            break;

        default:
            echo '<div class="gmenu"><img src="6.gif" alt=""/>  и <img src="6.gif" alt=""/><br/><br/>';

            echo 'Ваш баланс: ' . $datauser['balans'] . '<br/>';

            echo '</div><div class="menu"><b><a href="?act=go&amp;rand=' . $rand .
                '">Играть</a></b><br/>
				<a href="?act=faq&amp;">Помощь</a><br />';
            break;

    }
} else {
    echo functions::display_error("Игра доступна только для зарегистрированых пользователей сайта");
}
echo '<a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");
?>